LATENCY-HISTOGRAM(1)

NAME
latency-histogram - plot a histogram of machine latency

SYNOPSIS
latency-histogram [-?|--help] [--base ns] [--servo ns] [--bbinsize ns] [--sbinsize ns] [--bbins ns] [--sbins ns] [--logscale 0|1] [--text note] [--show] [--nobase] [--verbose] [--nox]

DESCRIPTION
The latency test is important when configuring a LinuxCNC system. An adjunct to the standard latency-test latency-histogram plots the distribution of latency. This can be useful to get a feel for how frequent the high latency excursions are.

LinuxCNC and HAL should not be running, stop with halrun -U. Large number of bins and/or small binsizes will slow updates. For single thread, specify --nobase (and options for servo thread). Measured latencies outside of the +/- bin range are reported with special end bars. Use --show to show count for the off-chart [pos|neg] pin.

More details: https://linuxcnc.org/docs/html/install/latency-test.html

OPTIONS

-?, --help
    Show options and exit.

--base ns
    base thread interval, default: 25000, min: 5000

--servo ns
    servo thread interval, default: 1000000, min: 25000

--bbinsize ns
    base bin size, default: 100

--sbinsize ns
    servo bin size, default: 100

--bbins ns
    base bins, default: 200

--sbins ns
    servo bins, default: 200

--logscale 0|1
    y axis log scale, default: 1

--text note
    additional note, default: ""

--show
    show count of undisplayed bins

--nobase
    servo thread only

--verbose
    progress and debug

--nox
    no GUI, display elapsed, min, max, sdev for each thread

SEE ALSO
latency-plot(1), latency-test(1), linuxcnc(1)

Much more information about LinuxCNC and HAL is available in the LinuxCNC and HAL User Manuals, found at /usr/share/doc/linuxcnc/.

BUGS
None known at this time.

AUTHOR
This man page written by andypugh, as part of the LinuxCNC project.

REPORTING BUGS
Report bugs at https://github.com/LinuxCNC/linuxcnc/issues

COPYRIGHT
Copyright © 2020 andypugh.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.